Page MenuHomePhabricator

Global renames should leave local log entries on affected wikis
Closed, ResolvedPublic

Description

Especially with bug 70850, it is very hard to keep track of global renames. Thus, I believe it should be considered to leave a local log entry on Special:Log/renameuser each time a global rename affects the wiki, for convenience of the local users.
Currently, the only local log entry is left in Special:Log/move, but only in case the renamed user had a user page on that particular wiki. I believe users without a userpage should not be put at a disadvantage and as well get at least one log entry.


Version: unspecified
Severity: enhancement

Details

Reference
bz70851

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:44 AM
bzimport set Reference to bz70851.
bzimport added a subscriber: Unknown Object (MLST).
Vogone created this task.Sep 15 2014, 4:47 PM

I don't like the idea of putting a permanent log entry on every single wiki, there are plenty of other actions that would affect the wiki but are only logged on meta (or commons).

Instead I think we should do something similar to what Wikidata does, where it inserts entries into the recentchanges table, so it'll show up on Special:RecentChanges and watchlists for 30 days, and then disappear. Does that sounds reasonable?

(In reply to Kunal Mehta (Legoktm) from comment #1)

I don't like the idea of putting a permanent log entry on every single wiki,
there are plenty of other actions that would affect the wiki but are only
logged on meta (or commons).

Is there any reason for it? And anyway, logging one half of the action on meta (the rename itself) and the other half of the action locally (resulting page moves) seems somewhat inconsistent to me. MassMessage for example also leaves an entry in the page histories (like a normal local edit), so why would it be bad if an actual local rename was also logged as such in the appropriate local log?

(In reply to Kunal Mehta (Legoktm) from comment #1)

I don't like the idea of putting a permanent log entry on every single wiki,
there are plenty of other actions that would affect the wiki but are only
logged on meta (or commons).

In my understanding not on every single wiki. It would only affect wikis where the user registered (or visited at least one time). In this case a log entry about the rename sounds sense for me.

Legoktm's idea sounds good to me.

Xeno added a comment.Nov 6 2014, 6:40 PM

I would prefer a local permanent log entry. In the past, such would be available with local renames; I see no reason for it to be unavailable in a global rename (which is basically just batch renames on the target wikis).

I'm not sure why a local entry would help with anything. With SUL finalization, usernames are supposed to be global in nature, and as such the entry should be recorded globally and not locally.

However, I feel that a better way of tracking a user's rename history is useful (due to the limitations of the current global logs) but should be implemented at a global level rather than locally.

Change 197681 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197681

Change 197683 had a related patch set uploaded (by Legoktm):
Update for RenameuserSQL changes

https://gerrit.wikimedia.org/r/197683

Legoktm claimed this task.Mar 18 2015, 6:03 PM
Legoktm added a project: MediaWiki-Core-Team.
Legoktm set Security to None.
Legoktm moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 197681 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197681

Change 197683 merged by jenkins-bot:
Update for RenameuserSQL changes

https://gerrit.wikimedia.org/r/197683

Legoktm closed this task as Resolved.Mar 18 2015, 9:01 PM
Legoktm moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.

Change 197981 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197981

Change 197982 had a related patch set uploaded (by Legoktm):
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197982

Change 197981 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197981

Change 197982 merged by jenkins-bot:
Move logging inside of RenameuserSQL

https://gerrit.wikimedia.org/r/197982

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 24 2015, 11:04 PM